#!/bin/bash

name=$(cat /etc/hostname)
addr=$(cat /var/data/public_keys | tail -1 | awk -F'"' '{print $2}')
sn=$(cat /proc/cpuinfo | grep Serial |  awk '{print $3}')
eth=$(ifconfig eth0 | grep ether |  awk '{print $2}')
wlan=$(ifconfig wlan0 | grep ether |  awk '{print $2}')
miner=$(docker ps | grep miner | awk '{print $2}' | awk -F: '{print $2}'| awk -F'arm64_' '{print $2}')
disk_G=$(df -h | grep root | awk '{print $3}'| awk -F\"G\" '{print $1}')
disk_p=$(df -h | grep root | awk '{print $5}'| awk -F\"%\" '{print $1}')
logsize=$(du -sh /var/log|awk -F' ' '{print $1}')
tmp=$(free -h | grep Mem | awk '{print $7}' | awk -F'G' '{print $1}')
mem_p=$(echo "scale=2;100-$tmp/2*100"|bc)
mem=$(echo "3-$tmp"|bc)
firmware=$(cat /root/.func/update/version.txt | awk -F. '{print $1}' | awk -F"-v" '{print $2}')
firmware="V"${firmware:0:1}"."${firmware:1:1}"."${firmware:2:1}
temperature=$(cat /sys/devices/virtual/thermal/thermal_zone0/temp)
temperature=${temperature:0:2}
listenaddr=""
block=""
nettype=""
latest_firmware=$(/root/.func/get_latest_firmware.sh)
latest_miner=$(/root/.func/get_latest_miner.sh)
region=$(cat /root/.func/miner_region)
updating_miner=$(ls /var/lib/docker/tmp)
if [ "$updating_miner" != "" ]
then
	updating_miner="system is installing the newest miner release"
fi

kernel=$(uname -a|grep "May")
if [ "$kernel" = "" ]
then
	kernel="This machine auto update kenerl failed, please update kernel manual."
else
	kernel="OK"
fi

echo -n {
echo -n \"name\":\"$name\",
echo -n \"addr\":\"$addr\",
echo -n \"sn\":\"$sn\",
echo -n \"eth\":\"$eth\",
echo -n \"wlan\":\"$wlan\",
echo -n \"miner\":\"$miner\",
echo -n \"disk_G\":\"$disk_G\",
echo -n \"disk_p\":\"$disk_p\",
echo -n \"logsize\":\"$logsize\",
echo -n \"mem_p\":$mem_p,
echo -n \"mem\":$mem,
echo -n \"firmware\":\"$firmware\",
echo -n \"temperature\":\"$temperature\",
echo -n \"listenaddr\":\"$listenaddr\",
echo -n \"block\":\"$block\",
echo -n \"nettype\":\"$nettype\",
echo -n \"latest_firmware\":\"$latest_firmware\",
echo -n \"latest_miner\":\"$latest_miner\",
echo -n \"region\":\"$region\",
echo -n \"updating_miner\":\"$updating_miner\",
echo -n \"kernel\":\"$kernel\"
echo -n }
